<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>20.3. html.entities — Definitions of HTML general entities &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="20. Structured Markup Processing Tools" href="markup.html" />
    <link rel="next" title="20.4. XML Processing Modules" href="xml.html" />
    <link rel="prev" title="20.2. html.parser — Simple HTML and XHTML parser" href="html.parser.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="xml.html" title="20.4. XML Processing Modules"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="html.parser.html" title="20.2. html.parser — Simple HTML and XHTML parser"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="markup.html" accesskey="U">20. Structured Markup Processing Tools</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-html.entities">
<span id="html-entities-definitions-of-html-general-entities"></span><h1>20.3. <a class="reference internal" href="#module-html.entities" title="html.entities: Definitions of HTML general entities."><code class="xref py py-mod docutils literal"><span class="pre">html.entities</span></code></a> &#8212; Definitions of HTML general entities<a class="headerlink" href="#module-html.entities" title="Permalink to this headline">¶</a></h1>
<p><strong>Source code:</strong> <a class="reference external" href="https://hg.python.org/cpython/file/3.5/Lib/html/entities.py">Lib/html/entities.py</a></p>
<hr class="docutils" />
<p>This module defines four dictionaries, <a class="reference internal" href="#html.entities.html5" title="html.entities.html5"><code class="xref py py-data docutils literal"><span class="pre">html5</span></code></a>,
<a class="reference internal" href="#html.entities.name2codepoint" title="html.entities.name2codepoint"><code class="xref py py-data docutils literal"><span class="pre">name2codepoint</span></code></a>, <a class="reference internal" href="#html.entities.codepoint2name" title="html.entities.codepoint2name"><code class="xref py py-data docutils literal"><span class="pre">codepoint2name</span></code></a>, and <a class="reference internal" href="#html.entities.entitydefs" title="html.entities.entitydefs"><code class="xref py py-data docutils literal"><span class="pre">entitydefs</span></code></a>.</p>
<dl class="data">
<dt id="html.entities.html5">
<code class="descclassname">html.entities.</code><code class="descname">html5</code><a class="headerlink" href="#html.entities.html5" title="Permalink to this definition">¶</a></dt>
<dd><p>A dictionary that maps HTML5 named character references <a class="footnote-reference" href="#id2" id="id1">[1]</a> to the
equivalent Unicode character(s), e.g. <code class="docutils literal"><span class="pre">html5['gt;']</span> <span class="pre">==</span> <span class="pre">'&gt;'</span></code>.
Note that the trailing semicolon is included in the name (e.g. <code class="docutils literal"><span class="pre">'gt;'</span></code>),
however some of the names are accepted by the standard even without the
semicolon: in this case the name is present with and without the <code class="docutils literal"><span class="pre">';'</span></code>.
See also <a class="reference internal" href="html.html#html.unescape" title="html.unescape"><code class="xref py py-func docutils literal"><span class="pre">html.unescape()</span></code></a>.</p>
<div class="versionadded">
<p><span class="versionmodified">New in version 3.3.</span></p>
</div>
</dd></dl>

<dl class="data">
<dt id="html.entities.entitydefs">
<code class="descclassname">html.entities.</code><code class="descname">entitydefs</code><a class="headerlink" href="#html.entities.entitydefs" title="Permalink to this definition">¶</a></dt>
<dd><p>A dictionary mapping XHTML 1.0 entity definitions to their replacement text in
ISO Latin-1.</p>
</dd></dl>

<dl class="data">
<dt id="html.entities.name2codepoint">
<code class="descclassname">html.entities.</code><code class="descname">name2codepoint</code><a class="headerlink" href="#html.entities.name2codepoint" title="Permalink to this definition">¶</a></dt>
<dd><p>A dictionary that maps HTML entity names to the Unicode code points.</p>
</dd></dl>

<dl class="data">
<dt id="html.entities.codepoint2name">
<code class="descclassname">html.entities.</code><code class="descname">codepoint2name</code><a class="headerlink" href="#html.entities.codepoint2name" title="Permalink to this definition">¶</a></dt>
<dd><p>A dictionary that maps Unicode code points to HTML entity names.</p>
</dd></dl>

<p class="rubric">Footnotes</p>
<table class="docutils footnote" frame="void" id="id2" rules="none">
<colgroup><col class="label" /><col /></colgroup>
<tbody valign="top">
<tr><td class="label"><a class="fn-backref" href="#id1">[1]</a></td><td>See <a class="reference external" href="http://www.w3.org/TR/html5/syntax.html#named-character-references">http://www.w3.org/TR/html5/syntax.html#named-character-references</a></td></tr>
</tbody>
</table>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="html.parser.html"
                        title="previous chapter">20.2. <code class="docutils literal"><span class="pre">html.parser</span></code> &#8212; Simple HTML and XHTML parser</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="xml.html"
                        title="next chapter">20.4. XML Processing Modules</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/library/html.entities.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="xml.html" title="20.4. XML Processing Modules"
             >next</a> |</li>
        <li class="right" >
          <a href="html.parser.html" title="20.2. html.parser — Simple HTML and XHTML parser"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="markup.html" >20. Structured Markup Processing Tools</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>